import { Modal, ModalService } from '@zeedhi/common';

export class AdjustmentPercentConsumModalController {
  private adjustmentPercentConsumModal!: Modal;

  public async createAdjustmentPercentConsumModal() {
    this.adjustmentPercentConsumModal = await ModalService.createFromJson('/modals/adjustmentPercentConsumModal', true);
  }

  public destroyAdjustmentPercentConsumModal() {
    this.adjustmentPercentConsumModal?.destroy();
  }

  public openAdjustmentPercentConsumModal() {
    this.adjustmentPercentConsumModal.show();
  }

  public closeAdjustmentPercentConsumModal() {
    this.adjustmentPercentConsumModal.hide();
  }
}
