import { Modal, ModalService } from '@zeedhi/common';

export class CostAnalysisAccumulatedModalController {
  private costAnalysisAccumulatedModal!: Modal;

  public async createCostAnalysisAccumulatedModal() {
    this.costAnalysisAccumulatedModal = await ModalService.createFromJson('/modals/costAnalysisAccumulatedModal', true);
  }

  public destroyCostAnalysisAccumulatedModal() {
    this.costAnalysisAccumulatedModal?.destroy();
  }

  public openCostAnalysisAccumulatedModal() {
    this.costAnalysisAccumulatedModal.show();
  }

  public closeCostAnalysisAccumulatedModal() {
    this.costAnalysisAccumulatedModal.hide();
  }
}
